Subject: Re: [PATCH net-next 1/2] dpaa2-eth: defer probe on object allocate

From: Andrew Lunn <[email-masked]>
Date: Fri, 9 Nov 2018 15:16:34 +0100

Hi Ioana

> I will send a v2 changing the return value to -ENODEV in case no
> cpus with an affine DPIO is found.

It would be good to review all the cases where IS_ERR_OR_NULL() is
used. It is very easy to get wrong. In fact, it has been suggested
this macro is removed, because it is used wrongly way too often. Try
to avoid it if you can.

   Andrew